#{form @devpartner.LelangDpCtr.metodeSubmit(lelang.lls_id), class:'form-horizontal'}
    <div class="form-group">
        <label class="col-sm-2 control-label">&{'lelang.jenis_pengadaan'} </label>
        <div class="col-sm-10">
            <select name="kategoriId" class="form-control" id="kategoriId" #{if !draft} disabled #{/if}>
                #{list items:kategoriList, as:'kgr'}
                <option value="${kgr.id}" ${kgr.id == kategori.id?'selected':''}>${kgr.nama}</option>
                #{/list}
            </select>
        </div>
    </div>
    <div class="form-group">
        <label class="col-sm-2 control-label">&{'lelang.metode'}</label>
        <div class="col-sm-10">
        <select name="mtd" class="form-control" id="mtd" #{if !draft} disabled #{/if}>
            #{list items:metodeList, as:'metode'}
                <option value="${metode.id}" ${metode.id == lelang.mtd_id?'selected':''}>${metode.label}</option>
            #{/list}
        </select>
        </div>
    </div>
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            #{if draft} #{saveButton /} #{/if}
        </div>
    </div>
#{/form}

<script type="text/javascript">
    var metodeMap = ${allMetode.raw()};
    $('#kategoriId').change();
    $(document).on('change','#kategoriId',function(){
        $('#mtd').empty();
        var metodeList = metodeMap[$(this).val()];
        for (var i = 0; i < metodeList.length; i++) {
            var item = metodeList[i];
            $('#mtd').append($('<option>', {value:item.id, text:item.label}));
        }
    });
</script>